Indie game storeFree gamesFun gamesHorror games
Game developmentAssetsComics
SalesBundles
Jobs

Version 10.14.3 the info said. also its x64 one if that matters? im not too knowledgable about this stuff but hopefully this helps? 

Great, it requires 10.9 at a minimum, so you're good there. How about the other specs, according to the system requirements listed? To recap, the other minimum requirements are 2.4 HGz or faster, 8 BG of RAM, GPU w/ 1+ GB of VRAM for graphics, and 3.9 GB of available space for storage. Hope that helps sort out the issue a bit more!